﻿$(document).ready(function()
{
	$("#sessionsTree")
		.bind("init.jstree", function()
		{
			$.fancybox.showActivity();
		})
		.bind("loaded.jstree", function()
		{
			$.fancybox.hideActivity();
		})
		.bind("refresh.jstree", function()
		{
			$.fancybox.hideActivity();
		})
		.jstree({

			"plugins": ["themes", "json_data", "ui", "cookies", "types", "crrm"],
			"themes": { "theme": "classic" },
			"ui": { "select_limit": 1 },
			"json_data": {
				"ajax": {
					"cache": false,
					"url": "./Handlers/GetSessions.ashx"/*,
					"data": function(n)
					{
						return {
							"id": n.attr ? n.attr("id").replace("node_", "") : 1
						};
					}*/
				},
				/*"metadata": { meta: "metadata" },*/
				"progressive_render": true
			},
			"types": {
				"valid_children": ["all"],
				"types": {
					"default": {
						"valid_children": "none",
						"hover_node": false,
						"icon": {
							"image": "../Images/session.png"
						}
					},
					"group": {
						"valid_children": ["all"],
						"icon": {
							"image": "../Images/group.png"
						}
					},
					"WebBrowser": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/WebBrowser.png"
						}
					},
					"remoteassistance": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/RemoteAssistanceSmall.png"
						}
					},
					"RDPConfigured": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/RDPSmall.png"
						}
					},
					"Ftp": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/Ftp.png"
						}
					},
					"RDPFilename": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/RDPFileSmall.png"
						}
					},
					"CommandLine": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/CommandLine.png"
						}
					},
					"VNC": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VNC.png"
						}
					},
					"LogMeIn": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/LogMeIn.png"
						}
					},
					"TeamViewer": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/TeamViewer.png"
						}
					},
					"Putty": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/Putty.png"
						}
					},
					"VirtualPC": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VirtualPCSmall.png"
						}
					},
					"Radmin": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/RadminSmall.png"
						}
					},
					"Dameware": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/DamewareSmall.png"
						}
					},
					"VMWare": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VMWareSmall.png"
						}
					},
					"VMWareInfra": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VMWareInfraSmall.png"
						}
					},
					"VMWareWorkstation": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VMWareWorkstationSmall.png"
						}
					},
					"PCAnywhere": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/PCAnywhereSmall.png"
						}
					},
					"ICA": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/CitrixSmall.png"
						}
					},
					"XWindow": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/XWindowSmall.png"
						}
					},
					"HyperV": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/HyperVSmall.png"
						}
					},
					"VPN": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VPNSmall.png"
						}
					},
					"VirtualBox": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VirtualBoxSmall.png"
						}
					},
					"VMRC": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VMRCSmall.png"
						}
					},
					"WindowsVirtualPC": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/WindowsVirtualPCSmall.png"
						}
					},
					"Credential": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/CredentialsSmall.png"
						}
					},
					"DataEntry": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/DataEntrySmall.png"
						}
					},
					"HpRgs": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/HpRGSSmall.png"
						}
					},
					"XenServer": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/XenServerSmall.png"
						}
					},
					"AddOn_Text": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/TextSmall.png"
						}
					},
					"AddOn": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/AddOnSmall.png"
						}
					},
					"AddOn_MySQL": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/MySQLGuiSmall.png"
						}
					},
					"AddOn_Boztech": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/BoztechSmall.png"
						}
					},
					"AddOn_Filezilla": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/FilezillaSmall.png"
						}
					},
					"AddOn_Firefox": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/FirefoxSmall.png"
						}
					},
					"AddOn_HeidiSQL": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/HeidiSQLSmall.png"
						}
					},
					"AddOn_JavaWebStart": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/JavaWebStartSmall.png"
						}
					},
					"AddOn_MSTelnet": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/MSTelnetSmall.png"
						}
					},
					"AddOn_NortelVPN": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/NortelVPNSmall.png"
						}
					},
					"AddOn_NXClient": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/NXClientSmall.png"
						}
					},
					"AddOn_Office": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/OfficeSmall.png"
						}
					},
					"AddOn_OpenVPN": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/OpenVPNSmall.png"
						}
					},
					"AddOn_PDF": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/PDFSmall.png"
						}
					},
					"AddOn_ProxyNetworks": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/ProxySmall.png"
						}
					},
					"AddOn_SecureCRT": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/SecureCRTSmall.png"
						}
					},
					"AddOn_ShrewSoftVPN": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/ShrewSoftVPNAddOnSmall.png"
						}
					},
					"AddOn_SonicWall": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/SonicWallNetExtenderSmall.png"
						}
					},
					"AddOn_SqlServer": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/SqlServerSmall.png"
						}
					},
					"AddOn_TheGreenBow": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/TheGreenBowVPNAddOnSmall.png"
						}
					},
					"AddOn_Visio": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/VisioSmall.png"
						}
					},
					"AddOn_XMail": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/XMailSmall.png"
						}
					},
					"AddOn_XManager": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/XManagerSmall.png"
						}
					},
					"AddOn_WindowsExplorer": {
						"icon": {
							"image": "../App_Themes/RDMS/img/ConnectionTypes/WindowsExplorerSmall.png"
						}
					},
					"DataReport": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/DataReportSmall.png"
		                }
		            },
		            "DropBox": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/DropBoxSmall.png"
		                }
		            },
		            "S3": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/S3Small.png"
		                }
		            },
		            "AzureStorage": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/AzureStorageSmall.png"
		                }
		            },
		            "CitrixWeb": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/CitrixWebSmall.png"
		                }
		            },
		            "PowerShell": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/PowerShellSmall.png"
		                }
		            },
		            "IntelAMT": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/IntelAMTSmall.png"
		                }
		            },
		            "Azure": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/AzureSmall.png"
		                }
		            },
		            "VMWareConsole": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/VMWareConsoleSmall.png"
		                }
		            },
		            "InventoryReport": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/InventoryReportSmall.png"
		                }
		            },
		            "ScreenConnect": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/ScreenConnectSmall.png"
		                }
		            },
		            "AzureTableStorage": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/AzureTableStorageSmall.png"
		                }
		            },
		            "Host": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/HostSmall.png"
		                }
		            },
		            "Database": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/DatabaseSmall.png"
		                }
		            },
		            "Aws": {
		                "icon": {
		                    "image": "../App_Themes/RDMS/img/ConnectionTypes/AwsSmall.png"
		                }
		            }
				}
			}
		})
		.delegate("a", "dblclick", function()
		{
			$("#sessionsTree").jstree("toggle_node", this);
		})
		.bind("remove.jstree", function(event, data)
		{
			data.rslt.obj.each(function()
			{
				var session_id = this.id.replace("node_", "");
				$.ajax({
					async: false,
					type: 'POST',
					url: "./Handlers/ConnectionActions.ashx?operation=delete&id=" + session_id,
					success: function(r)
					{
						if (r != "Success") {
							alert("Unable to delete the session!");
						}
						data.inst.refresh();
						$.fancybox.close();
					}
				});
			});
		})
		.bind("select_node.jstree", function(e, data)
		{
			var session_id = data.rslt.obj.attr("id");
			var session_type = data.rslt.obj.attr("rel");
			var session_name = data.rslt.obj.children(".jstree-clicked").text().substring(1);

			if (session_id != "") {

				var session_description = data.rslt.obj.attr("title");

				if (session_description == session_name) { session_description = ""; }

				var session_secgroup = data.rslt.obj.attr("metadata");

				$('#treenodedetails > div').fadeOut(100, function()
				{
					$('#sessionname').html(session_name);
					var sess_type;

					if (session_type != "group" && session_type != "Credential") {
						$('#treenodedetails .linkBox').show();
						$('#sessiondescription').show();
						$('#sessiongroup').show();
						$("#ctl00_ctl00_main_maincontent_attachments").show();
						$("#ctl00_ctl00_main_maincontent_logs").show();

						if ($("#ctl00_ctl00_main_maincontent_attachments").is(".current")) {
							$.fancybox.showActivity();
							$("#attachments-frame").attr("src", "Attachments.aspx?id=" + session_id);
						}
						if ($("#ctl00_ctl00_main_maincontent_logs").is(".current")) {
							$.fancybox.showActivity();
							$("#logs-frame").attr("src", "SessionLogs.aspx?id=" + session_id);
						}
					} else {
						$('#treenodedetails .linkBox').hide();
						$('#sessiondescription').hide();
						$('#sessiongroup').hide();
						$("#ctl00_ctl00_main_maincontent_attachments").hide();
						$("#ctl00_ctl00_main_maincontent_logs").hide();
						if (!$("#connection").is(".current")) {
							$("#detailstab > div:visible").fadeOut(100, function()
							{
								$("#treenodedetails:hidden").fadeIn();
								$("#detailstab .css-tabs a").removeClass("current");
								$("#connection").addClass("current");
							});
						}
					}

					switch (session_type) {
		                case "group":
		                    sess_type = "Group/Folder";
		                    break;
		                case "WebBrowser":
		                    sess_type = "Web Browser";
		                    break;
		                case "DataEntry":
		                    sess_type = "Data Entry";
		                    break;
		                case "RemoteAssistance":
		                    sess_type = "Remote Assistance";
		                    break;
		                case "RDPConfigured":
		                    sess_type = "Microsoft Remote Desktop Host";
		                    break;
		                case "RDPFilename":
		                    sess_type = "Microsoft Remote Desktop File";
		                    break;
		                case "CommandLine":
		                    sess_type = "Command Line";
		                    break;
		                case "TeamViewer":
		                    sess_type = "Team Viewer";
		                    break;
		                case "VMWareInfra":
		                    sess_type = "VMWare Infra";
		                    break;
		                case "VMWareWorkstation":
		                    sess_type = "VMWare Workstation";
		                    break;
		                case "ICA":
		                    sess_type = "Citrix ICA / HDX";
		                    break;
		                case "PCAnywhere":
		                    sess_type = "PC Anywhere";
		                    break;
		                case "XWindow":
		                    sess_type = "X Window";
		                    break;
		                case "HyperV":
		                    sess_type = "Hyper-V";
		                    break;
		                case "AddOn":
		                    sess_type = "Add On";
		                    break;
		                case "VirtualBox":
		                    sess_type = "Oracle VirtualBox";
		                    break;
		                case "VMRC":
		                    sess_type = "Virtual Server";
		                    break;
		                case "WindowsVirtualPC":
		                    sess_type = "Windows Virtual PC";
		                    break;
		                case "HpRgs":
		                    sess_type = "HP Remote Graphics Receiver";
		                    break;
		                case "AddOn_MySQL":
		                    sess_type = "MySQL GUI Tools Add-on";
		                    break;
		                case "AddOn_Text":
		                    sess_type = "Text Add-on";
		                    break;
		                case "AddOn_Boztech":
		                    sess_type = "Boztech VNCScan Import Add-on";
		                    break;
		                case "AddOn_Filezilla":
		                    sess_type = "Filezilla Import Add-on";
		                    break;
		                case "AddOn_Firefox":
		                    sess_type = "Firefox Add-on";
		                    break;
		                case "AddOn_HeidiSQL":
		                    sess_type = "HeidiSQL Add-on";
		                    break;
		                case "AddOn_JavaWebStart":
		                    sess_type = "Java Web Start Add-on";
		                    break;
		                case "AddOn_MSTelnet":
		                    sess_type = "Microsoft Telnet Client Add-on";
		                    break;
		                case "AddOn_NortelVPN":
		                    sess_type = "Nortel VPN Add-on";
		                    break;
		                case "AddOn_NXClient":
		                    sess_type = "NX Client Add-on";
		                    break;
		                case "AddOn_Office":
		                    sess_type = "Office Add-on";
		                    break;
		                case "AddOn_OpenVPN":
		                    sess_type = "OpenVPN Add-on";
		                    break;
		                case "AddOn_PDF":
		                    sess_type = "PDF Add-on";
		                    break;
		                case "AddOn_ProxyNetworks":
		                    sess_type = "Proxy Networks Proxy Add-on";
		                    break;
		                case "AddOn_SecureCRT":
		                    sess_type = "SecureCRT Add-on";
		                    break;
		                case "AddOn_ShrewSoftVPN":
		                    sess_type = "Shrew Soft VPN Client Add-on";
		                    break;
		                case "AddOn_SonicWall":
		                    sess_type = "SonicWall NetExtender Add-on";
		                    break;
		                case "AddOn_SqlServer":
		                    sess_type = "Sql Server Management Studio Add-on";
		                    break;
		                case "AddOn_TheGreenBow":
		                    sess_type = "TheGreenBow VPN Add-on";
		                    break;
		                case "AddOn_Visio":
		                    sess_type = "Visio Add-on";
		                    break;
		                case "AddOn_XMail":
		                    sess_type = "XMail Admin Add-on";
		                    break;
		                case "AddOn_XManager":
		                    sess_type = "XManager Add-on";
		                    break;
		                case "AddOn_WindowsExplorer":
		                    sess_type = "Windows Explorer Add-on";
		                    break;
		                case "DataReport":
		                    sess_type = "Data Report";
		                    break;
		                case "DropBox":
		                    sess_type = "Dropbox Explorer";
		                    break;
		                case "S3":
		                    sess_type = "Amazon S3 Explorer";
		                    break;
		                case "AzureStorage":
		                    sess_type = "Azure Storage Explorer";
		                    break;
		                case "AzureTableStorage":
		                    sess_type = "Azure Table Storage Explorer";
		                    break;
		                case "Aws":
		                    sess_type = "Aws Console";
		                    break;
		                case "CitrixWeb":
		                    sess_type = "Citrix Web";
		                    break;
		                case "PowerShell":
		                    sess_type = "PowerShell";
		                    break;
		                case "IntelAMT":
		                    sess_type = "Intel AMT (KVM)";
		                    break;
		                case "Azure":
		                    sess_type = "Azure Console";
		                    break;
		                case "VMWareConsole":
		                    sess_type = "VMWare Console";
		                    break;
		                case "InventoryReport":
		                    sess_type = "Inventory Report";
		                    break;
		                case "ScreenConnect":
		                    sess_type = "ScreenConnect";
		                    break;
		                case "Host":
		                    sess_type = "Host";
		                    break;
		                case "Database":
		                    sess_type = "Database";
		                    break;
		                default:
		                    sess_type = session_type;
		                    break;
		            }

					$("#ctl00_ctl00_main_maincontent_logs").unbind('click');
					$("#ctl00_ctl00_main_maincontent_logs").bind('click.myEvents', function()
					{
						if (!$(this).hasClass("current")) {
							$("#detailstab .css-tabs a").removeClass("current");
							$(this).addClass("current");
							$.fancybox.showActivity();
							$("#logs-frame").attr("src", "SessionLogs.aspx?id=" + session_id);
							$("#detailstab > div:visible").fadeOut(100, function()
							{
								$("#logsdetails:hidden").fadeIn();
							});
						}
						return false;
					});

					$("#connection").unbind('click');
					$("#connection").bind('click.myEvents', function()
					{
						if (!$(this).hasClass("current")) {
							$("#detailstab .css-tabs a").removeClass("current");
							$(this).addClass("current");
							$("#detailstab > div:visible").fadeOut(100, function()
							{
								$("#treenodedetails:hidden").fadeIn();
							});
						}
						return false;
					});

					$("#ctl00_ctl00_main_maincontent_attachments").unbind('click');
					$("#ctl00_ctl00_main_maincontent_attachments").bind('click.myEvents', function()
					{
						if (!$(this).hasClass("current")) {
							$("#detailstab .css-tabs a").removeClass("current");
							$(this).addClass("current");
							$.fancybox.showActivity();
							$("#attachments-frame").attr("src", "Attachments.aspx?id=" + session_id);
							$("#detailstab > div:visible").fadeOut(100, function()
							{
								$("#attachmentsdetails:hidden").fadeIn();
							});
						}
						return false;
					});

					$("#treenodedetails").find("a").unbind('click');
					$("#treenodedetails").find("a").bind('click.myEvents', function ()
					{
						if ($(this).hasClass('disabled')) { return; }
						switch (this.id) {
							case "ctl00_ctl00_main_maincontent_deletesession":
								$.fancybox({
									'modal': true,
									'scrolling': false,
									'transitionIn': 'fade',
									'transitionOut': 'fade',
									'titleShow': true,
									'title': this.title,
									'speedIn': 500,
									'speedOut': 500,
									'easingIn': 'easeOutQuint',
									'easingOut': 'none',
									'content': "<div id='popupHolder'><div style='margin: 10px 10px 15px; min-height: 40px;'>Do you really want to delete the session '" + session_name + "'? </div><div style='background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right;'><a class='button small blue' onclick=\"$('#sessionsTree').jstree('remove'); \">Delete</a>  <a class='button small blue' onclick='$.fancybox.close();'>Cancel</a></div></div>"
								});
								break;
							case "connectsession":
								$.fancybox({
									'modal': true,
									'scrolling': false,
									'transitionIn': 'fade',
									'transitionOut': 'fade',
									'speedIn': 500,
									'titleShow': true,
									'title': this.title,
									'speedOut': 500,
									'easingIn': 'easeOutQuint',
									'easingOut': 'none',
									'content': "<div id='popupHolder'><div style='margin: 10px 10px 15px; min-height: 40px;'>To connect to a session, use your Remote Desktop Manager Client!</div> <div style='background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right;'><a class='button small blue' onclick='$.fancybox.close();'>Close</a></div></div>"
								});
								break;
							case "ctl00_ctl00_main_maincontent_editsession":
								$.fancybox({
									'type': 'iframe',
									'href': './Editors/Connection.aspx?id=' + session_id,
									'scrolling': 'no',
									'modal': true,
									'titleShow': true,
									'title': this.title,
									'width': 380,
									'height': 120,
									'autoScale': true,
									'transitionIn': 'fade',
									'transitionOut': 'fade',
									'speedIn': 500,
									'speedOut': 500,
									'easingIn': 'easeOutQuint',
									'easingOut': 'none'
								});
								$.fancybox.showActivity();
								break;
						}

					});

					$('#sessiontitle').html('<strong>' + session_name + '</strong><em>' + sess_type + '</em>').attr('class', session_type);
					$('#sessiondescription > p').html(session_description);
					$('#sessiongroup > p').html(session_secgroup);
					$('#treenodedetails > div').fadeIn(150);
				});
			}
		});

	$('#refresh').bind({
		click: function()
		{
			$.fancybox.showActivity();
			$("#sessionsTree").jstree("refresh");
		}
	});
});
