﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GroupInfo.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.GroupInfo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>

    <script type="text/javascript" src="../../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">

		$('#popupHolder').ready(function()
		{
			window.parent.resizeFancyBox();
		});

		$(document).ready(function()
		{
			$('#popupHolder').load(function() { window.parent.resizeFancyBox(); });
		});

	</script>
    
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/03rdms.css">

</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<asp:FormView ID="FormView1" DefaultMode="Edit" DataSourceID="odsGetGroupInfo" runat="server">
				<InsertItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 390px;">
							<li>
								<asp:Label ID="lblName" AssociatedControlID="txtName" Text="Name" runat="server" />
								<asp:TextBox ID="txtName" runat="server" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="txtName" runat="server" Text="*" ErrorMessage="You must enter a valid name"></asp:RequiredFieldValidator>
							</li>
							<li>
								<asp:Label ID="lblDescription" AssociatedControlID="txtDescription" Text="Description" runat="server" />
								<asp:TextBox TextMode="MultiLine" Rows="4" ID="txtDescription" runat="server" />
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfGroupName" runat="server" />
					<asp:HiddenField ID="hdfGroupID" runat="server" />
				</InsertItemTemplate>
				<EditItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 390px;">
							<li>
								<asp:Label ID="lblName" AssociatedControlID="txtName" Text="Name" runat="server" />
								<asp:TextBox Text='<%# Eval("Name") %>' ID="txtName" runat="server" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="txtName" runat="server" Text="*" ErrorMessage="You must enter a valid name"></asp:RequiredFieldValidator>
							</li>
							<li>
								<asp:Label ID="lblDescription" AssociatedControlID="txtDescription" Text="Description" runat="server" />
								<asp:TextBox Text='<%# Eval("Description") %>' TextMode="MultiLine" Rows="4" ID="txtDescription" runat="server" />
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfGroupName" runat="server" Value='<%# Eval("Name") %>' />
					<asp:HiddenField ID="hdfGroupID" runat="server" Value='<%# Eval("ID") %>' />
				</EditItemTemplate>
			</asp:FormView>
			<asp:ObjectDataSource ID="odsGetGroupInfo" runat="server" SelectMethod="GetGroupInfo" OnSelected="odsGetGroupInfo_Selected"
				TypeName="Devolutions.RemoteDesktopManager.Server.GroupManager">
				<SelectParameters>
					<asp:QueryStringParameter Name="groupName" QueryStringField="name" Type="String" />
					<asp:SessionParameter Name="dataSourceId" SessionField="DATASOURCE_ID" Type="String" />
				</SelectParameters>
			</asp:ObjectDataSource>
			<div style="background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right; margin-top: 5px;">
				<asp:Label runat="server" ID="lblMessage"></asp:Label>
				<asp:Button CssClass="button blue small" ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
				<a style="margin-left: 5px" class="button blue small" href="javascript:parent.$.fancybox.close();">Cancel</a>
			</div>
		</div>
	</form>
</body>
</html>
